pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex > Class Template Reference

`#include <pcl/recognition/face_detection/rf_face_utils.h>`

Inheritance diagram for pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >:

## Public Member Functions

| FeatureHandlerDepthAverage ()
void | setWSize (int w)
| Sets the size of the window to extract features. More...
void | setNumChannels (int nf)
| Sets the number of channels a feature has (i.e. More...
void | setMaxPatchSize (int w)
| Create a set of random tests to evaluate examples. More...
void | createRandomFeatures (const std::size_t num_of_features, std::vector< FT > &features) override
| Create a set of random tests to evaluate examples. More...
void | evaluateFeature (const FT &feature, DataSet &data_set, std::vector< ExampleIndex > &examples, std::vector< float > &results, std::vector< unsigned char > &flags) const override
| Evaluates a feature on the specified set of examples. More...
void | evaluateFeature (const FT &feature, DataSet &data_set, const ExampleIndex &example, float &result, unsigned char &flag) const override
| Evaluates a feature on the specified example. More...
void | generateCodeForEvaluation (const FT &, ::std::ostream &) const override
| Generates evaluation code for the specified feature and writes it to the specified stream. More...
Public Member Functions inherited from pcl::FeatureHandler< FT, DataSet, ExampleIndex >
virtual | ~FeatureHandler ()
| Destructor. More...

## Detailed Description

### template<class FT, class DataSet, class ExampleIndex>
class pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >

Definition at line 20 of file rf_face_utils.h.

## Constructor & Destructor Documentation

## FeatureHandlerDepthAverage()

template<class FT , class DataSet , class ExampleIndex >

pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::FeatureHandlerDepthAverage | ( |  | ) |

inline

Definition at line 30 of file rf_face_utils.h.

## Member Function Documentation

## createRandomFeatures()

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::createRandomFeatures | ( | const std::size_t | num_of_features,
|  | std::vector< FT > & | features
| ) |  |

inline override virtual

Create a set of random tests to evaluate examples.

Parameters

  [in] | num_of_features | Number features to generated.
  [out] | features | Generated features.

Implements pcl::FeatureHandler< FT, DataSet, ExampleIndex >.

Definition at line 94 of file rf_face_utils.h.

## evaluateFeature() [1/2]

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::evaluateFeature | ( | const FT & | feature,
|  | DataSet & | data_set,
|  | const ExampleIndex & | example,
|  | float & | result,
|  | unsigned char & | flag
| ) |  | const

inline override virtual

Evaluates a feature on the specified example.

Parameters

  [in] | feature | The feature to evaluate.
  [in] | data_set | The data set on which the feature is evaluated.
  [in] | example | The example of the data set the feature is evaluated on.
  [out] | result | The destination for the result of the feature evaluation.
  [out] | flag | Flags that are supplied together with the results.

Implements pcl::FeatureHandler< FT, DataSet, ExampleIndex >.

Definition at line 159 of file rf_face_utils.h.

References pcl::face_detection::TrainingExample::col_, pcl::face_detection::TrainingExample::iimages_, pcl_round(), and pcl::face_detection::TrainingExample::row_.

## evaluateFeature() [2/2]

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::evaluateFeature | ( | const FT & | feature,
|  | DataSet & | data_set,
|  | std::vector< ExampleIndex > & | examples,
|  | std::vector< float > & | results,
|  | std::vector< unsigned char > & | flags
| ) |  | const

inline override virtual

Evaluates a feature on the specified set of examples.

Parameters

  [in] | feature | The feature to evaluate.
  [in] | data_set | The data set on which the feature is evaluated.
  [in] | examples | The set of examples of the data set the feature is evaluated on.
  [out] | results | The destination for the results of the feature evaluation.
  [out] | flags | Flags that are supplied together with the results.

Implements pcl::FeatureHandler< FT, DataSet, ExampleIndex >.

Definition at line 142 of file rf_face_utils.h.

## generateCodeForEvaluation()

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::generateCodeForEvaluation | ( | const FT & | ,
|  | ::std::ostream & |
| ) |  | const

inline override virtual

Generates evaluation code for the specified feature and writes it to the specified stream.

Implements pcl::FeatureHandler< FT, DataSet, ExampleIndex >.

Definition at line 188 of file rf_face_utils.h.

## setMaxPatchSize()

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::setMaxPatchSize | ( | int | w | ) |

inline

Create a set of random tests to evaluate examples.

Parameters

  [in] | w | Number features to generate.

Definition at line 57 of file rf_face_utils.h.

## setNumChannels()

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::setNumChannels | ( | int | nf | ) |

inline

Sets the number of channels a feature has (i.e.

1 - depth, 4 - depth + normals)

Parameters

  [in] | nf | Number of channels.

Definition at line 49 of file rf_face_utils.h.

## setWSize()

template<class FT , class DataSet , class ExampleIndex >

void pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::setWSize | ( | int | w | ) |

inline

Sets the size of the window to extract features.

Parameters

  [in] | w | Window size.

Definition at line 41 of file rf_face_utils.h.

The documentation for this class was generated from the following file:

- pcl/recognition/face_detection/rf_face_utils.h